
Foreman - Bug #28347

UI: When selecting the server type in ldap authentication, "attribute mappings" fields could be

populated automatically

11/25/2019 03:04 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version:    

Difficulty: easy Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link: 1774710 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7378

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1774710

Description of problem:

Currently, there are some different values that can be defined specifically to "Login Name Attribute". That said, still necessary add

that information manually all the time when proceeding with ldap authentication configuration.

Version-Release number of selected component (if applicable):

6.6.z

How reproducible:

100%

Steps to Reproduce:

1. Configure ldap authentication

2. Check Attribute Mappings tab

Actual results:

Empty fields

Expected results:

Filled fields according to the selection on "server type" (Free IPA, AD or POSIX).

Additional info:

Associated revisions

Revision 32c0365f - 02/19/2020 01:17 PM - Leos Stejskal

Fixes #28347 - Add default ldap attributes mapping

Revision 8163de00 - 02/19/2020 01:17 PM - Leos Stejskal

Fixes #28347 - Updated documentation for API

History

#1 - 11/25/2019 03:05 PM - Marek Hulán

- Subject changed from UI: When selecting the server type in ldap authentication, "attribute mappings" fields could be populated automatically

 to UI: When selecting the server type in ldap authentication, "attribute mappings" fields could be populated automatically

- Assignee deleted (Daniel Lobato Garcia)

- Difficulty set to easy

#2 - 01/23/2020 07:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing
https://bugzilla.redhat.com/show_bug.cgi?id=1774710


- Pull request https://github.com/theforeman/foreman/pull/7378 added

#3 - 02/19/2020 01:17 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#4 - 02/19/2020 02:01 PM - Leos Stejskal

- Status changed from Ready For Testing to Closed

Applied in changeset 32c0365ffb702f5b2bcd269aae0a9ecd3fa91e6c.

#5 - 05/14/2020 08:37 AM - Amit Upadhye

- Category set to Authentication
